Package x2go :: Package backends :: Package settings :: Module gconf :: Class X2GoClientSettings

[frames] | no frames]

# Class X2GoClientSettings

source code

    object --+
             |
            X2GoClientSettings

Configure settings for X2GoClient instances with the GConf daemon.

Instance Methods

__init__(self, defaults=`{``'``Authorization``'``:` `{``'``editprofile``'``:` True`,` `'``newprofile``'``:` True`,` `'``r``...`, logger=None, loglevel=56) Constructs an X2GoClientSettings instance. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| defaultValues = ``{``'``Authorization``'``:` `{``'``editprofile``'``:` True`,` `'``newpr``...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, defaults=`{``'``Authorization``'``:` `{``'``editprofile``'``:` True`,` `'``newprofile``'``:` True`,` `'``r``...`, logger=None, loglevel=56)
(Constructor)

source code

Constructs an X2GoClientSettings instance. This is normally done from within an X2GoClient instance. You can retrieve this X2GoClientSettings instance with the X2GoClient.get_client_settings() method.

On construction the X2GoClientSettings object is filled with values as found in GConf:

       <GConf paths, FIXME: give proper locations here>

Overrides: object.__init__

Class Variable Details

### defaultValues

Value:

      {'Authorization': {'editprofile': True,
                         'newprofile': True,
                         'resume': True,
                         'suspend': True},
       'General': {'autoresume': True, 'clientport': 22},
       'LDAP': {'port': 389,
                'port1': 0,
                'port2': 0,
      ...